SqlMapClientOperations (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.orm.ibatis

## Interface SqlMapClientOperations

- All Known Implementing Classes:
    SqlMapClientTemplate

  Deprecated.
  as of Spring 3.2, in favor of the native Spring support in the Mybatis follow-up project (http://code.google.com/p/mybatis/)

      @Deprecated
      public interface SqlMapClientOperations

  Interface that specifies a basic set of iBATIS SqlMapClient operations, implemented by `SqlMapClientTemplate`. Not often used, but a useful option to enhance testability, as it can easily be mocked or stubbed.

  Defines SqlMapClientTemplate's convenience methods that mirror the iBATIS `SqlMapExecutor`'s execution methods. Users are strongly encouraged to read the iBATIS javadocs for details on the semantics of those methods.

  Since:
    24.02.2004
  Author:
    Juergen Hoeller
  See Also:
    `SqlMapClientTemplate`, `SqlMapClient`, `SqlMapExecutor`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `delete(String statementName)` Deprecated.
    `int` | `delete(String statementName, Object parameterObject)` Deprecated.
    `void` | `delete(String statementName, Object parameterObject, int requiredRowsAffected)` Deprecated. Convenience method provided by Spring: execute a delete operation with an automatic check that the delete affected the given required number of rows.
    `Object` | `insert(String statementName)` Deprecated.
    `Object` | `insert(String statementName, Object parameterObject)` Deprecated.
    `List` | `queryForList(String statementName)` Deprecated.
    `List` | `queryForList(String statementName, int skipResults, int maxResults)` Deprecated.
    `List` | `queryForList(String statementName, Object parameterObject)` Deprecated.
    `List` | `queryForList(String statementName, Object parameterObject, int skipResults, int maxResults)` Deprecated.
    `Map` | `queryForMap(String statementName, Object parameterObject, String keyProperty)` Deprecated.
    `Map` | `queryForMap(String statementName, Object parameterObject, String keyProperty, String valueProperty)` Deprecated.
    `Object` | `queryForObject(String statementName)` Deprecated.
    `Object` | `queryForObject(String statementName, Object parameterObject)` Deprecated.
    `Object` | `queryForObject(String statementName, Object parameterObject, Object resultObject)` Deprecated.
    `void` | `queryWithRowHandler(String statementName, Object parameterObject, RowHandler rowHandler)` Deprecated.
    `void` | `queryWithRowHandler(String statementName, RowHandler rowHandler)` Deprecated.
    `int` | `update(String statementName)` Deprecated.
    `int` | `update(String statementName, Object parameterObject)` Deprecated.
    `void` | `update(String statementName, Object parameterObject, int requiredRowsAffected)` Deprecated. Convenience method provided by Spring: execute an update operation with an automatic check that the update affected the given required number of rows.

- - ### Method Detail

    - #### queryForObject

          Object queryForObject(String statementName)
                                throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.queryForObject(String)`

    - #### queryForObject

          Object queryForObject(String statementName,
                              Object parameterObject)
                                throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.queryForObject(String, Object)`

    - #### queryForObject

          Object queryForObject(String statementName,
                              Object parameterObject,
                              Object resultObject)
                                throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.queryForObject(String, Object, Object)`

    - #### queryForList

          List queryForList(String statementName)
                            throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.queryForList(String)`

    - #### queryForList

          List queryForList(String statementName,
                          Object parameterObject)
                            throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.queryForList(String, Object)`

    - #### queryForList

          List queryForList(String statementName,
                          int skipResults,
                          int maxResults)
                            throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.queryForList(String, int, int)`

    - #### queryForList

          List queryForList(String statementName,
                          Object parameterObject,
                          int skipResults,
                          int maxResults)
                            throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.queryForList(String, Object, int, int)`

    - #### queryWithRowHandler

          void queryWithRowHandler(String statementName,
                                 RowHandler rowHandler)
                                   throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.queryWithRowHandler(String, RowHandler)`

    - #### queryWithRowHandler

          void queryWithRowHandler(String statementName,
                                 Object parameterObject,
                                 RowHandler rowHandler)
                                   throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.queryWithRowHandler(String, Object, RowHandler)`

    - #### queryForMap

          Map queryForMap(String statementName,
                        Object parameterObject,
                        String keyProperty)
                          throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.queryForMap(String, Object, String)`

    - #### queryForMap

          Map queryForMap(String statementName,
                        Object parameterObject,
                        String keyProperty,
                        String valueProperty)
                          throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.queryForMap(String, Object, String, String)`

    - #### insert

          Object insert(String statementName)
                        throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.insert(String)`

    - #### insert

          Object insert(String statementName,
                      Object parameterObject)
                        throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.insert(String, Object)`

    - #### update

          int update(String statementName)
                     throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.update(String)`

    - #### update

          int update(String statementName,
                   Object parameterObject)
                     throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.update(String, Object)`

    - #### update

          void update(String statementName,
                    Object parameterObject,
                    int requiredRowsAffected)
                      throws DataAccessException

      Deprecated.
      Convenience method provided by Spring: execute an update operation with an automatic check that the update affected the given required number of rows.
      Parameters:
        `statementName` - the name of the mapped statement
        `parameterObject` - the parameter object
        `requiredRowsAffected` - the number of rows that the update is required to affect
      Throws:
        `DataAccessException` - in case of errors

    - #### delete

          int delete(String statementName)
                     throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.delete(String)`

    - #### delete

          int delete(String statementName,
                   Object parameterObject)
                     throws DataAccessException

      Deprecated.
      Throws:
        `DataAccessException` - in case of errors
      See Also:
        `SqlMapExecutor.delete(String, Object)`

    - #### delete

          void delete(String statementName,
                    Object parameterObject,
                    int requiredRowsAffected)
                      throws DataAccessException

      Deprecated.
      Convenience method provided by Spring: execute a delete operation with an automatic check that the delete affected the given required number of rows.
      Parameters:
        `statementName` - the name of the mapped statement
        `parameterObject` - the parameter object
        `requiredRowsAffected` - the number of rows that the delete is required to affect
      Throws:
        `DataAccessException` - in case of errors